# 32/64bit spec-file
#
# svn can be obtained with: svn checkout svn://svn.code.sf.net/p/smokinguns/code/trunk smokinguns-1.1

%define debug_package %{nil}

Name:		smokinguns
Summary:	Smokin' Guns is a first person Western style shooter
URL:		http://www.smokin-guns.net/
Group:		Games/Arcade
Version:	1.1
Release:	%mkrel 1
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	smokinguns-%{version}.tar.xz
BuildRequires:	dos2unix
BuildRequires:	libcurl-devel
BuildRequires:	gcc-c++
BuildRequires:	glibc-devel
BuildRequires:	libspeex-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libmesagl-devel
BuildRequires:	nasm
BuildRequires:	libopenal-devel
BuildRequires:	libSDL-devel
Requires:	%{name}-data

%description
Smokin' Guns is a GPLv2 licensed first person Western style shooter
based on the Quake 3 engine (Id Tech 3) developed by a loosely
knit team of developers and artists.

%prep
%setup -q -n %{name}-%{version}

dos2unix     *.txt
%__chmod 644 *.txt

# we use system-installed libs
%__rm -rf code/AL
%__rm -rf code/SDL12



%build
%__make %{?jobs:-j%{jobs}} \
    OPTIMIZE="$RPM_OPT_FLAGS -fno-strict-aliasing -ffast-math" \
	TOOLS_OPTIMIZE="$RPM_OPT_FLAGS -fno-strict-aliasing" \
    DEFAULT_BASEDIR=%{_datadir}/games/%{name} \
	BUILD_GAME_SO=0 \
	BUILD_GAME_QVM=1 \
	BUILD_CLIENT_SMP=1 \
	BUILD_MISSIONPACK=1 \
	GENERATE_DEPENDENCIES=0 \
    CROSS_COMPILING=0 \
	USE_LOCAL_HEADERS=0 \
	USE_INTERNAL_SPEEX=0 \
	USE_INTERNAL_ZLIB=0 \
	USE_MUMBLE=1 \
	USE_VOIP=1 \
	USE_CODEC_VORBIS=1 \
	USE_CURL=1 \
	USE_CURL_DLOPEN=0 \
	USE_OPENAL=1 \
	USE_OPENAL_DLOPEN=1 \
	V=0 \
	release

%install
rm -rf %{buildroot}

# data
%__install -dm 755 %{buildroot}%{_datadir}/games/%{name}/missionpack/vm
%__install -m 644 build/release-linux-*/%{name}/vm/* \
	%{buildroot}%{_datadir}/games/%{name}/missionpack/vm

# binaries
%__install -dm 755 %{buildroot}%{_datadir}/games

%__install -m 755 build/release-linux-*/%{name}.* \
	%{buildroot}%{_datadir}/games/%{name}/%{name}-64

%__install -m 755 build/release-linux-*/%{name}-smp.* \
	%{buildroot}%{_datadir}/games/%{name}/%{name}-smp

%__install -m 755 build/release-linux-*/%{name}_dedicated.* \
	%{buildroot}%{_datadir}/games/%{name}/%{name}_server

# icon
%__install -dm 755 %{buildroot}%{_iconsdir}
%__install -m 644 misc/%{name}.png \
	%{buildroot}%{_iconsdir}

# menu-entry
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Smokin' Guns
GenericName=Smokin' Guns
Type=Application
Exec=%{_datadir}/games/%{name}/%{name}-64
Icon=%{name}
Comment=Smokin' Guns is a first person Western style shooter
Comment[da]=Smokin' Guns er et FPS Western shooter spil
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame; 
EOF

%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}-smp.desktop << EOF
[Desktop Entry]
Name=Smokin' Guns - SMP version
GenericName=Smokin' Guns
Type=Application
Exec=%{_datadir}/games/%{name}/%{name}-smp
Icon=%{name}
Comment=Smokin' Guns is a first person Western style shooter
Comment[da]=Smokin' Guns er et FPS Western shooter spil
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame; 
EOF

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc ChangeLog README NOTTODO SG_TODO TODO VERSION_CONSTANT *.txt *.doc
%{_iconsdir}
%{_datadir}/applications
%{_datadir}/games/%{name}/smokinguns-smp
%{_datadir}/games/%{name}/smokinguns-64
%{_datadir}/games/%{name}/smokinguns_server
%{_datadir}/games/%{name}/missionpack   

%changelog
* Mon Feb 25 2013 pinoc <vogtpet at gmail.com> 1.1-1pclos2013
- processed

* Sat Feb 16 2013 Martin Bantz <martin dot bantz at gmail dot com> - 1.1
- Adapted to PCLinuxOS
